Solid Edge Assembly Type Library
Rotate Method
Specifies the x coordinate of the first point on the axis.
Specifies the y coordinate of the first point on the axis.
Specifies the z coordinate of the first point on the axis.
Specifies the x coordinate of the second point on the axis.
Specifies the y coordinate of the second point on the axis.
Specifies the z coordinate of the second point on the axis.
Specifies, in radians, the angle of rotation.
Description
Rotates the referenced object.
Syntax
Visual Basic
Public Sub Rotate( _
   ByVal AxisX1 As Double, _
   ByVal AxisY1 As Double, _
   ByVal AxisZ1 As Double, _
   ByVal AxisX2 As Double, _
   ByVal AxisY2 As Double, _
   ByVal AxisZ2 As Double, _
   ByVal Angle As Double _
) 
Parameters
AxisX1
Specifies the x coordinate of the first point on the axis.
AxisY1
Specifies the y coordinate of the first point on the axis.
AxisZ1
Specifies the z coordinate of the first point on the axis.
AxisX2
Specifies the x coordinate of the second point on the axis.
AxisY2
Specifies the y coordinate of the second point on the axis.
AxisZ2
Specifies the z coordinate of the second point on the axis.
Angle
Specifies, in radians, the angle of rotation.
Remarks
If the object is to be rotated about its center point, the origin must be set to its center point.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objPart As SolidEdgeAssembly.Occurrence
    Dim dblAxisX1 As Double
    Dim dblAxisX2 As Double
    Dim dblAxisY1 As Double
    Dim dblAxisY2 As Double
    Dim dblAxisZ1 As Double
    Dim dblAxisZ2 As Double
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' adding a part document to an assembly document
    Set objPart = objDoc.Occurrences.AddByFilename(OccurrenceFileName:=TESTFILE)
    ' rotating the placed part in the assembly
    dblAxisX1 = 0
    dblAxisX2 = 0.01
    dblAxisY1 = 0
    dblAxisY2 = 0.01
    dblAxisZ1 = 0
    dblAxisZ2 = 0.01
    Call objPart.Rotate(AxisX1:=dblAxisX1, AxisY1:=dblAxisY1, AxisZ1:=dblAxisZ1, _
                        AxisX2:=dblAxisX2, AxisY2:=dblAxisY2, AxisZ2:=dblAxisZ2, Angle:=PI / 3)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objPart = Nothing
End Sub
See Also

Occurrence Object  | Occurrence Members

Send comments on this topic.